Today auto-update to 2.6.1 failed, error message


#1

Today, 8th sept. I wanted to automatically update Piwik to 2.6.1 (I think, can’t go back because nothing works), like I always do without any problems, and got this message and nothing else works:

“Fatal error: Constructor Piwik\Factory::factory() cannot be static in /home/MYDOMAINDOTCOM/www/piwik/core/Factory.php on line 60”

What to do?


(Stefan Giehl) #2

That is an PHP 5.3.2 only issue. Try to update to the latest beta 2.7.0-b1. That fixes the issue.